For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Payments
            • POSTCreate Payment Access Token
          • Stored Instruments (Beta)
        • Methods
          • Transactions (Beta)
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminPaymentsTokens

Create Payment Access Token

POST
https://api.bigcommerce.com/stores/:store_hash/v3/payments/access_tokens
POST
/stores/:store_hash/v3/payments/access_tokens
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/payments/access_tokens \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "order": {
> "id": 123456,
> "is_recurring": true
> }
>}'
1{
2 "data": {
3 "id": "eyJhbGciOiJIUzI1NiJ9.eyJleHAiOjE2ODk0NzY4MDAsIm5iZiI6MTY4OTQ3MjQwMCwiaXNzIjoicGF5bWVudHMuYmlnY29tbWVyY2UuY29tIiwic3ViIjoiMTIzNDU2IiwianRpIjoiYWJjZDEyMy00NTY3LTQ4OWEtYmNkZi0xMjM0NTY3ODkwYWJjIiwiaWF0IjE"
4 },
5 "meta": {}
6}
Use this endpoint to create a payment access token. A payment access token is required to process payments with the BigCommerce API. **Required Fields** * order_id
Was this page helpful?
Previous

Attach Instrument to Customer

Next

Stored Instruments API (Beta)

Built with

Use this endpoint to create a payment access token. A payment access token is required to process payments with the BigCommerce API.

Required Fields

  • order_id

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Create Payments | create | `store_payments_access_token_create` | | Get Payment Methods | read-only | `store_payments_methods_read` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
orderobjectRequired

Response

Payment access token has been successfully created.
dataobject
metaobject
Response metadata.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Create Paymentscreatestore_payments_access_token_create
Get Payment Methodsread-onlystore_payments_methods_read

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

The MIME type of the response body.